@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100

top to bottom direction
skinparam linetype ortho

class AccountEntry {
   accountEntryId: bigint(20)
   --
   userId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   defaultBillingAddressId: bigint(20)
   defaultCPaymentMethodKey: varchar(75)
   defaultShippingAddressId: bigint(20)
   parentAccountEntryId: bigint(20)
   description: longtext
   domains: longtext
   emailAddress: varchar(254)
   logoId: bigint(20)
   name: varchar(250)
   restrictMembership: tinyint(4)
   taxExemptionCode: varchar(75)
   taxIdNumber: varchar(75)
   type_: varchar(75)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}
entity AssetEntry {
   entryId: bigint(20)
   ctCollectionId: bigint(20)
--
   userId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   classUuid: varchar(75)
   classTypeId: bigint(20)
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   listable: tinyint(4)
   visible: tinyint(4)
   startDate: datetime(6)
   endDate: datetime(6)
   publishDate: datetime(6)
   expirationDate: datetime(6)
   mimeType: varchar(75)
   title: longtext
   description: longtext
   summary: longtext
   url: longtext
   layoutUuid: varchar(75)
   height: int(11)
   width: int(11)
   priority: double
}
entity Group_ {
   groupId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   creatorUserId: bigint(20)
   modifiedDate: datetime(6)
   classNameId: bigint(20)
   classPK: bigint(20)
   parentGroupId: bigint(20)
   liveGroupId: bigint(20)
   treePath: longtext
   groupKey: varchar(150)
   name: longtext
   description: longtext
   type_: int(11)
   typeSettings: longtext
   manualMembership: tinyint(4)
   membershipRestriction: int(11)
   friendlyURL: varchar(255)
   site: tinyint(4)
   remoteStagingGroupCount: int(11)
   inheritContent: tinyint(4)
   active_: tinyint(4)
}
entity LayoutSet {
   layoutSetId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   privateLayout: tinyint(4)
   logoId: bigint(20)
   themeId: varchar(75)
   colorSchemeId: varchar(75)
   faviconFileEntryId: bigint(20)
   css: longtext
   settings_: longtext
   layoutSetPrototypeUuid: varchar(75)
   layoutSetPrototypeLinkEnabled: tinyint(4)
}
entity ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   name: varchar(255)
   scope: int(11)
   primKey: varchar(255)
   primKeyId: bigint(20)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}

AssetEntry }o-up-o| AccountEntry:ClassPk
AssetEntry }o-up-o| Group_:ClassPk
ResourcePermission }o-down-o| AccountEntry:PrimKey
ResourcePermission }o-down-o| Group_:PrimKey
LayoutSet }o-down-|| Group_:GroupId
@enduml
